Support » Allgemeine Fragen » Paste Error

  • Wenn ich jetzt (nach der letzten Restore) ein Plugin installieren möchte, bekomme ich die Fehlermeldung: Parse Error: Syntax error, unexpectet T-FUNCTION in /var/www/web1844/html/wp-content/Plugins……
    Das passiert jetzt bei allmählichen Plugins …
    Hat da jemand eine Idee?

    Die Seite, für die ich Hilfe brauche: [Anmelden, um den Link zu sehen]

Ansicht von 10 Antworten - 1 bis 10 (von insgesamt 10)
  • Da ist dann eine PHP-Datei kaputt

    Thread-Ersteller cevor

    (@cevor)

    Das bedeutet? Ich bin da absoluter Laie

    Das bedeutet, dass in Plugin … ein Syntax-Fehler vorliegt, weil entweder die aktuell verwendete PHP-Version damit nicht umgehen kann oder die Datei fehlerhaft übertragen wurde. Da du die Fehlermeldung abgeschnitten hast, können wir nicht sagen, welches Plugin betroffen ist.

    Thread-Ersteller cevor

    (@cevor)

    Es handelt sich um alle möglichen Plugins. Es kommt immer die gleiche Fehlermeldung mit dem entsprechendem Verzeichnis. Die Plugins, die ich installieren möchte, sind neu wie in diesem Fall WP mapbox.
    Das Plugin kann nicht aktiviert werden, da es einen fatalen Fehler erzeugt…..
    Dann die Parse-Fehlermeldung.

    Ich wiederhole mich gerne an dieser Stelle noch einmal:
    Entweder liegt ein Fehler im Plugin vor oder du verwendest eine veraltete PHP-version. Bei mehreren Plugins eher letzteres.

    Thread-Ersteller cevor

    (@cevor)

    Da muss ich leider passen. Bisher hat doch alles funktioniert. Bis ich die Tage einen Absturz hattte und das Backup wieder eingespielt habe. Ich weiß jetzt nicht was ich tun muss um wieder Plugins zu installieren. Kannst du mir da unter die Arme greifen oder genau sagen, was ich tun muß? Was benötigst du dafür?

    Thread-Ersteller cevor

    (@cevor)

    Parse error: syntax error, unexpected T_FUNCTION in /var/www/web1844/html/wp-content/plugins/wp-mapbox-gl-js/admin/class-wp-mapbox-gl-js-admin.php on line 292

    dies ist der komplette Pfad

    Thread-Ersteller cevor

    (@cevor)

    PHP 4,5,7 vom Provider …

    Fangen wir nochmal von vorne an:

    Du möchtest ein bestimmtes Plugin mit dem Verzeichnis wp-mapbox-gl-js installieren. Dabei bekommst du eine Fehlermeldung. Die Fehlermeldung besagt, dass das Plugin nicht richtig eingelesen werden kann, was zu einem Syntax-Fehler führt. Du hast deine Website mit verschiedenen PHP-Versionen getestet (PHP 4? Ernsthaft?), bekommst aber auch unter PHP 7.? weiterhin eine Fehlermeldung, dass das Plugin einen Fehler verursacht. Da scheint es doch naheliegend zu sein, dass mit diesem Plugin etwas nicht stimmt? Um das Plugin zu deaktivieren, kannst du per FTP-Programm oder über das Dateiverwaltungsmenü deines Webhoster das Verzeichnis wp-mapbox-gl-js umbenennen (oder gleich ganz löschen). Danach müsste die Website doch erst einmal wieder laufen?

    Thread-Ersteller cevor

    (@cevor)

    JA, ich habe tatsächlich etliche Probleme mit der Seite. Das PHP war falsch, ferner reichte der Speicher nicht aus … usw. Der Account wird neu erweitert und PHP auf eine vernünftige Version angehoben. Alles auf einmal und plötzlich. Aber danke für deine Hilfe. Jetzt warte ich die Umstellung ab und dann kann ich weiter sehen….

Ansicht von 10 Antworten - 1 bis 10 (von insgesamt 10)
  • Das Thema „Paste Error“ ist für neue Antworten geschlossen.